@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix gax-validation:  <https://schemas.abc-federation.gaia-x.community/wip/vocab/validation#> .

@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dct: <http://purl.org/dc/terms/> .
@prefix dcat: <http://www.w3.org/ns/dcat#> .
@prefix gax-core: <https://schemas.abc-federation.gaia-x.community/wip/vocab/core#> .
@prefix gax-node: <https://schemas.abc-federation.gaia-x.community/wip/vocab/node#> .
@prefix gax-resource: <https://schemas.abc-federation.gaia-x.community/wip/vocab/resource#> .
@prefix gax-participant: <https://schemas.abc-federation.gaia-x.community/wip/vocab/participant#> .
@prefix gax-service: <https://schemas.abc-federation.gaia-x.community/wip/vocab/service#> .
@prefix gax-compliance: <https://schemas.abc-federation.gaia-x.community/wip/vocab/compliance#> .
@prefix vcard: <http://www.w3.org/2006/vcard/ns#> .
@prefix did: <https://www.w3.org/TR/did-core/#> .
@prefix cred: <https://www.w3.org/2018/credentials/#> .

gax-validation:LocationShape
	a sh:NodeShape ;
	sh:targetClass gax-participant:Location ;
	sh:property [ sh:path gax-participant:hasProvider ;
				  sh:name "has provider" ;
				  sh:order 1 ;
				  sh:minCount 1 ;
				  sh:class gax-participant:Provider ] ;
	sh:property [ sh:path gax-service:canHostServiceOffering ;
				  sh:name "can host service offering" ;
				  sh:order 2 ;
				  sh:minCount 1 ;
				  sh:class gax-service:ServiceOffering ] ;
	sh:property [ sh:path gax-participant:hasAdministrativeLocation ;
				  sh:name "has administrative location" ;
				  sh:order 3 ;
				  sh:minCount 1 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:country ;
				  sh:name "country" ;
				  sh:order 4 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:state ;
				  sh:name "state" ;
				  sh:order 5 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:urbanArea ;
				  sh:name "urban area" ;
				  sh:order 6 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:providerDesignation ;
				  sh:name "provider designation" ;
				  sh:order 7 ;
				  sh:minCount 0 ;
				  sh:maxCount 1 ;
				  sh:datatype xsd:string ] ;
	sh:property [ sh:path gax-participant:hasLocatedServiceOffering ;
				  sh:name "has located service offering" ;
				  sh:order 8 ;
				  sh:minCount 1 ;
				  sh:class gax-service:LocatedServiceOffering ] ;
.
